SND_SOC_COMPONENT_IN(9)

NAME
snd_soc_component_init_regmap - Initialize regmap instance for the component

SYNOPSIS

void snd_soc_component_init_regmap(struct snd_soc_component * component, struct regmap * regmap);

ARGUMENTS

component
    The component for which to initialize the regmap instance

regmap
    The regmap instance that should be used by the component

DESCRIPTION

This function allows deferred assignment of the regmap instance that is associated with the component. Only use this if the regmap instance is not yet ready when the component is registered. The function must also be called before the first IO attempt of the component.

COPYRIGHT